2018-05-24 07:12 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001564FSSCP---------public2008-11-21 02:00
ReporterFUBAR-BDHR 
Assigned Tophreak 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001564: add-sun-bitmap / remove-sun-bitmap doesn't work when used more than once
DescriptionAdd a sun using add-sun-bitmap. Remove it using remove-sun-bitmap. Works fine. Add a second sun and remove it. It does not remove.
Additional InformationReproduced in 3.6.9 and 3_6_10-20071028T. Debug build minimizes screen for a second like it's going to pop up an assert but it pops right back to game play. Nothing in log file but I'll attach it anyways. Also attaching test mission. Just fly straight for about 40 seconds.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008787

FUBAR-BDHR (developer)

Just found out the same bug exists with add/remove-background-bitmap.

~0008790

FUBAR-BDHR (developer)

Last edited: 2008-01-08 00:45

It appears the sexps actually work but the values getting stored to the variables must be wrong. Hard coding the values in the remove sexps works.

Attaching planet_test3 with the hard coded values.

If you get a chance while your looking at that part of the code I noticed 2 other quarks. One is you can't changed the variable back to a number in the remove sexps. The other is when you change the variable the add sexps is saveing to the bitmap you are adding goes to <invalid>.

~0008794

Tolwyn (reporter)

yes, I've run into this issue more than once while coding missions for Saga.

Using numbers instead of variables does the trick.

~0009464

taylor (administrator)

Not going to work on this.

~0010125

phreak (developer)

Last edited: 2008-10-25 22:57

I have a possible fix. suntest.fs2 does not assert anymore, and by my inspection of the SEXPs, it looks like it works properly. I was unable to run the planet_test missions so I don't know about that.

Try the next nightly build.

~0010132

chief1983 (administrator)

I should have nightlies for Windows back in a day or two. Had to move and haven't got my desktop set up anywhere yet.

~0010158

FUBAR-BDHR (developer)

Well I thought this was working. My initial test was with both sun and background in the same mission. That did work. I then changed the background to sun also. So basically there are 2 sun events. First set of add/removes work but the second do not. No idea why as it gives the correct values of what it is trying to remove. Attaching 2 missions. Nova2 is the second part by itself which does work. Nova contains two tests. The first one works. The second which is identical to Nova2 does not.

~0010215

phreak (developer)

applied a patch that should work in this case.

~0010249

FUBAR-BDHR (developer)

Looks like you nailed it this time. I tested with the 2 nova missions, one new one I had for Vid and an even more complex one. Worked like a charm.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-06 03:59 FUBAR-BDHR New Issue
2008-01-06 03:59 FUBAR-BDHR File Added: fs2_open.log
2008-01-06 04:00 FUBAR-BDHR File Added: suntest.fs2
2008-01-07 22:27 FUBAR-BDHR File Added: planet_test.fs2
2008-01-07 22:27 FUBAR-BDHR Note Added: 0008787
2008-01-07 23:53 taylor Status new => assigned
2008-01-07 23:53 taylor Assigned To => taylor
2008-01-08 00:28 FUBAR-BDHR Note Added: 0008790
2008-01-08 00:29 FUBAR-BDHR File Added: planet_test3.fs2
2008-01-08 00:29 FUBAR-BDHR Note Edited: 0008790
2008-01-08 00:45 FUBAR-BDHR Note Edited: 0008790
2008-01-08 09:48 Tolwyn Note Added: 0008794
2008-07-17 12:31 taylor Note Added: 0009464
2008-07-17 12:31 taylor Assigned To taylor =>
2008-07-17 12:31 taylor Status assigned => new
2008-10-02 14:07 phreak Status new => assigned
2008-10-02 14:07 phreak Assigned To => phreak
2008-10-25 22:53 phreak Note Added: 0010125
2008-10-25 22:57 phreak Note Edited: 0010125
2008-10-28 13:30 chief1983 Note Added: 0010132
2008-11-05 22:51 FUBAR-BDHR Note Added: 0010158
2008-11-05 22:51 FUBAR-BDHR File Added: nova2.fs2
2008-11-05 22:52 FUBAR-BDHR File Added: nova.fs2
2008-11-17 22:29 phreak Note Added: 0010215
2008-11-21 00:45 FUBAR-BDHR Note Added: 0010249
2008-11-21 02:00 phreak Status assigned => resolved
2008-11-21 02:00 phreak Resolution open => fixed
+Issue History